Page MenuHomePhabricator

Turn off MediaModeration debug logging in Production
Closed, ResolvedPublic

Description

"As a System Administrator, I want the MediaModeration script to have no output about the files it scans, so I don't have to manage the sensitive information about positive hits for files."

The data that's matched by the MediaModeration extension is potentially very sensitive, so it's a good idea to limit the number of people who are exposed to that data to just the professionals in Trust and Safety who need to deal with it.

The script currently outputs a lot of debug information, as mentioned in the checklist on the parent ticket. In order to have this MVP finished, we need to clean up that debug data so it's no longer being emitted.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 5 2020, 6:46 PM
eprodromou triaged this task as High priority.Aug 5 2020, 6:56 PM
eprodromou added a subscriber: Naike.

I'm marking this as high priority, not because it's really that big a deal, but because if we finish it, we can put this epic to bed for a while, which would be awesome.

@Naike and I were discussing this project this morning, and we came to the conclusion that this task couldn't be put off to the next epic.

Change 606239 had a related patch set uploaded (by Cicalese; owner: Cicalese):
[operations/mediawiki-config@master] DO NOT MERGE Remove temporary logging for mediamoderation

https://gerrit.wikimedia.org/r/606239

Change 606239 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove temporary logging for mediamoderation

https://gerrit.wikimedia.org/r/606239

Mentioned in SAL (#wikimedia-operations) [2020-08-06T18:10:53Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: 9db96595695b5ec1144c078e8961b3c04e8983cf: Remove temporary logging for mediamoderation (T259742) (duration: 01m 07s)

Pchelolo closed this task as Resolved.Aug 6 2020, 6:25 PM
Pchelolo moved this task from Backlog to Done! on the Platform Team Workboards (User Stories) board.